actions: []
api_documentation: http://docs.ros.org/en/noetic/api/geometry_msgs/html
authors: Tully Foote <tfoote@osrfoundation.org>
brief: ''
bugtracker: ''
depends:
- catkin
- message_generation
- message_runtime
- std_msgs
depends_on:
- amcl
- amr_interop_bridge
- amr_interop_msgs
- arbotix_python
- assisted_teleop
- astra_ros
- automotive_navigation_msgs
- autoware_msgs
- auv_msgs
- axis_camera
- base_local_planner
- bosch_locator_bridge
- bota_driver_testing
- calibration_msgs
- carla_msgs
- cartesian_control_msgs
- cartesian_msgs
- cl_transforms_stamped
- cob_3d_mapping_msgs
- cob_actions
- cob_base_controller_utils
- cob_base_velocity_smoother
- cob_cartesian_controller
- cob_collision_velocity_filter
- cob_control_msgs
- cob_footprint_observer
- cob_frame_tracker
- cob_gazebo_tools
- cob_grasp_generation
- cob_image_flip
- cob_interactive_teleop
- cob_linear_nav
- cob_lookat_action
- cob_map_accessibility_analysis
- cob_mecanum_controller
- cob_model_identifier
- cob_moveit_interface
- cob_object_detection_msgs
- cob_obstacle_distance
- cob_obstacle_distance_moveit
- cob_omni_drive_controller
- cob_perception_msgs
- cob_script_server
- cob_srvs
- cob_teleop
- cob_tricycle_controller
- cob_twist_controller
- cob_undercarriage_ctrl
- common_msgs
- computer_status_msgs
- control_msgs
- costmap_2d
- costmap_converter
- costmap_cspace
- costmap_cspace_msgs
- criutils
- dataspeed_ulc_can
- dbw_fca_can
- dbw_fca_msgs
- dbw_mkz_can
- dbw_mkz_msgs
- dbw_polaris_can
- dbw_polaris_msgs
- depthai_ros_msgs
- diff_drive_controller
- dlux_global_planner
- dwb_critics
- dwb_local_planner
- dwb_msgs
- easy_markers
- eigen_conversions
- exotica_core
- exotica_core_task_maps
- exotica_examples
- exotica_python
- fake_localization
- force_torque_sensor_controller
- franka_control
- franka_example_controllers
- global_planner
- graph_msgs
- grasping_msgs
- haf_grasping
- handeye
- hfl_driver
- hri
- image_cb_detector
- image_rotate
- imu_filter_madgwick
- imu_processors
- imu_transformer
- innopolis_vtol_dynamics
- interval_intersection
- iotbot
- ixblue_ins_msgs
- joystick_interrupt
- jsk_footstep_msgs
- jsk_gui_msgs
- jsk_interactive
- jsk_interactive_marker
- jsk_pcl_ros
- jsk_pcl_ros_utils
- jsk_perception
- jsk_recognition_msgs
- jsk_recognition_utils
- jsk_rviz_plugins
- kdl_conversions
- key_teleop
- leo_bringup
- leo_gazebo
- locomotor
- map_organizer
- marker_msgs
- marti_nav_msgs
- marti_sensor_msgs
- marti_visualization_msgs
- mavros
- mavros_extras
- mavros_msgs
- mbf_abstract_core
- mbf_abstract_nav
- mbf_costmap_core
- mbf_costmap_nav
- mbf_msgs
- mbf_simple_nav
- mbf_utility
- mcl_3dl
- mesh_map
- mesh_msgs
- mesh_msgs_transform
- microstrain_inertial_driver
- microstrain_inertial_msgs
- microstrain_inertial_rqt
- mir_actions
- mir_driver
- mir_dwb_critics
- mir_msgs
- mobile_robot_simulator
- mouse_teleop
- move_base
- move_base_msgs
- move_slow_and_clear
- moveit_commander
- moveit_core
- moveit_msgs
- moveit_ros_planning_interface
- moveit_servo
- moveit_visual_tools
- mpc_local_planner
- mrpt_msgs
- multires_image
- multisense_ros
- nav_2d_msgs
- nav_2d_utils
- nav_core
- nav_core_adapter
- nav_grid_pub_sub
- nav_msgs
- navfn
- nmea_navsat_driver
- nonpersistent_voxel_layer
- obj_to_pointcloud
- object_recognition_msgs
- octomap_msgs
- outsight_alb_driver
- ov_eval
- ov_msckf
- oxford_gps_eth
- pass_through_controllers
- pcl_ros
- people_msgs
- people_velocity_tracker
- planner_cspace
- planner_cspace_msgs
- plotjuggler_ros
- pose_base_controller
- posedetection_msgs
- pr2_hardware_interface
- pr2_msgs
- psen_scan_v2
- py_trees_ros
- rc_genicam_driver
- rc_hand_eye_calibration_client
- rc_pick_client
- rc_reason_msgs
- rc_roi_manager_gui
- rc_silhouettematch_client
- rc_tagdetect_client
- rc_visard_driver
- robot_body_filter
- robot_calibration
- robot_calibration_msgs
- robot_localization
- robot_nav_rviz_plugins
- robot_nav_viz_demos
- rokubimini
- rokubimini_msgs
- ros_ign_bridge
- rosbridge_library
- rosserial_windows
- rotate_recovery
- rqt_bag_plugins
- rqt_ez_publisher
- rqt_image_view
- rqt_nav_view
- rqt_pose_view
- rqt_robot_steering
- rtabmap_ros
- rviz
- rviz_visual_tools
- safety_limiter
- sbpl_lattice_planner
- sciurus17_examples
- sciurus17_msgs
- sciurus17_vision
- sensor_msgs
- septentrio_gnss_driver
- shape_msgs
- sick_ldmrs_msgs
- slam_toolbox_msgs
- spacenav_node
- stage_ros
- swri_image_util
- swri_transform_util
- teb_local_planner
- teleop_twist_joy
- teleop_twist_keyboard
- test_mavros
- tf
- tf2
- tf2_bullet
- tf2_eigen
- tf2_geometry_msgs
- tf2_msgs
- tf2_ros
- tf_conversions
- toposens_msgs
- toposens_pointcloud
- track_odometry
- trajectory_msgs
- trajectory_tracker
- trajectory_tracker_msgs
- turtle_actionlib
- turtle_tf
- turtle_tf2
- turtlebot3_example
- turtlebot3_teleop
- turtlesim
- tuw_airskin_msgs
- tuw_gazebo_msgs
- tuw_geometry_msgs
- tuw_local_controller_msgs
- tuw_multi_robot_ctrl
- tuw_multi_robot_local_behavior_controller
- tuw_multi_robot_msgs
- tuw_multi_robot_router
- tuw_nav_msgs
- tuw_object_msgs
- tuw_vehicle_msgs
- tuw_voronoi_graph
- twist_mux
- twist_recovery
- view_controller_msgs
- vision_msgs
- visp_auto_tracker
- visp_bridge
- visp_camera_calibration
- visp_hand2eye_calibration
- visp_tracker
- visualization_msgs
- warehouse_ros
- wiimote
- xpp_msgs
- ypspur_ros
description: "geometry_msgs provides messages for common geometric primitives\n  \
  \  such as points, vectors, and poses. These primitives are designed\n    to provide\
  \ a common data type and facilitate interoperability\n    throughout the system."
devel_jobs:
- https://build.ros.org/view/Ndev_db/job/Ndev_db__common_msgs__debian_buster_amd64
- https://build.ros.org/view/Ndev/job/Ndev__common_msgs__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__common_msgs__ubuntu_focal_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: Michel Hidalgo <michel@ekumenlabs.com>
metapackages:
- common_msgs
msgs:
- Quaternion
- AccelStamped
- AccelWithCovariance
- TransformStamped
- TwistWithCovariance
- TwistWithCovarianceStamped
- Point
- InertiaStamped
- Accel
- Pose2D
- Vector3
- TwistStamped
- PoseWithCovariance
- PolygonStamped
- Point32
- Twist
- Transform
- Pose
- AccelWithCovarianceStamped
- WrenchStamped
- Inertia
- PoseWithCovarianceStamped
- Vector3Stamped
- PointStamped
- Wrench
- QuaternionStamped
- Polygon
- PoseStamped
- PoseArray
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_dB/job/Nsrc_dB__geometry_msgs__debian_buster__source
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__geometry_msgs__ubuntu_focal__source
- https://build.ros.org/view/Nbin_db_dB64/job/Nbin_db_dB64__geometry_msgs__debian_buster_amd64__binary
- https://build.ros.org/view/Nbin_dbv8_dBv8/job/Nbin_dbv8_dBv8__geometry_msgs__debian_buster_arm64__binary
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__geometry_msgs__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__geometry_msgs__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__geometry_msgs__ubuntu_focal_arm64__binary
repo_name: common_msgs
repo_url: ''
srvs: []
timestamp: 1646208174.5033398
url: http://wiki.ros.org/geometry_msgs
vcs: git
vcs_uri: https://github.com/ros/common_msgs.git
vcs_version: noetic-devel
